
import Qt 4.7
import QtMultimediaKit 1.1

Rectangle {
    id: main
    width: 640
    height: 360
    color: "blue"

    Component.onCompleted: video.play()

    Video {
        id: video
        source: "file:///e:\\test.mp4"
        playing:true
        anchors.fill: parent
        volume: 0.1
    }

    Column {
        anchors { left: parent.left; top: parent.top; bottom: parent.bottom; margins: 4 }

        Text {
            color: "white"
            text: "Title:" +video.metaData.title
        }
        Text {
            color: "white"
            text: "Size:" +video.metaData.size
        }
        Text {
            color: "white"
            text: "Resolution:" +video.metaData.resolution
        }
        Text {
            color: "white"
            text: "Media type:" +video.metaData.mediaType
        }
        Text {
            color: "white"
            text: "Video codec:" +video.metaData.videoCodec
        }
        Text {
            color: "white"
            text: "Video bit rate:" +video.metaData.videoBitRate
        }
        Text {
            color: "white"
            text: "Video frame rate:" +video.metaData.videoFrameRate
        }
        Text {
            color: "white"
            text: "Audio codec:" +video.metaData.audioCodec
        }
        Text {
            color: "white"
            text: "Audio bit rate:" +video.metaData.audioBitRate
        }
        Text {
            color: "white"
            text: "Date:" +video.metaData.date
        }
        Text {
            color: "white"
            text: "Description:" +video.metaData.description
        }
        Text {
            color: "white"
            text: "Copyright:" +video.metaData.copyright
        }
        Text {
            color: "white"
            text: "Seekable:" +video.seekable
        }
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onPressed: { Qt.quit() }
    }
}

